Package ru.bitel.bgbilling.modules.voice.server.bean.operator.sovintel

# Class SovintelAbonentData

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.voice.server.bean.operator.sovintel.SovintelAbonentData

public class SovintelAbonentData extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `contractId`
  `String`
  `contractTitle`
  `String`
  `contractType`
  `String`
  `countryCode`
  `Date`
  `date1`
  `Date`
  `date2`
  `boolean`
  `diplomat`
  `String`
  `fullName`
  `boolean`
  `info`
  `String`
  `inn`
  `String`
  `jurAddress`
  `String`
  `jurStatus`
  `String`
  `kpp`
  `String`
  `locationCode`
  `boolean`
  `notResident`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SovintelAbonentData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SovintelAbonentData>`
  `extractData(Connection con, Operator oper, Date month, Set<Integer> changedCodes)`
  `List<SovintelAbonentData>`
  `extractData2(Connection con, Operator oper, Date month, Set<Integer> changedCodes)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### contractId

    public int contractId

  - ### contractTitle

    public String contractTitle

  - ### fullName

    public String fullName

  - ### jurStatus

    public String jurStatus

  - ### date1

    public Date date1

  - ### date2

    public Date date2

  - ### jurAddress

    public String jurAddress

  - ### inn

    public String inn

  - ### kpp

    public String kpp

  - ### countryCode

    public String countryCode

  - ### contractType

    public String contractType

  - ### locationCode

    public String locationCode

  - ### info

    public boolean info

  - ### notResident

    public boolean notResident

  - ### diplomat

    public boolean diplomat

- ## Constructor Details

  - ### SovintelAbonentData

    public SovintelAbonentData()

- ## Method Details

  - ### extractData

    public List<SovintelAbonentData> extractData(Connection con, Operator oper, Date month, Set<Integer> changedCodes)

  - ### extractData2

    public List<SovintelAbonentData> extractData2(Connection con, Operator oper, Date month, Set<Integer> changedCodes)